<div *ngIf="data else loading" class="brr chart_container" style="width:98%; height:90vh;overflow:auto">

    <ng-container *ngFor="let type of chartsConfig; let i = index;">
        <!-- <div class="float-left {{ type.class }}" style="min-height: 10vh;" > -->
        <div class="float-left {{ type.class }}"  >
            <div class="card bg-light p-1" >
                
                <ng-container *ngIf="data">
                    <stats *ngIf="type.type == 'none'" [data]="data[type.key]" [config]="type" [darkMode]="darkMode"></stats>   
                    <stats2 *ngIf="type.type == 'none2'" [data]="data[type.key]" [config]="type" [darkMode]="darkMode"></stats2>   
                    <chart *ngIf="type.type != 'none' && type.type != 'none2'" [data]="data[type.key]" [config]="type" [darkMode]="darkMode"></chart>
                </ng-container>
                
            </div>
        </div>
    </ng-container>
   
</div>
  
<ng-template #loading>
    <div class="brr chart_container empty" style="width:98%; height:90vh;overflow:auto">
        <div class="text fs18">
            Loading Report
        </div>
        <div class="nj-spinner nj-spinner--sm ml-1" role="status"></div>
    </div>
</ng-template>